For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeDocsAPI Reference
HomeDocsAPI Reference
  • API Reference
    • GETDevice Information
    • POSTHeartbeat ping
    • POSTCreate C2C asset
    • POSTCreate C2C asset
    • POSTRequest upload URLs for real-time upload
    • POSTCreate a Comment from a C2C device
      • POSTConnect a new device channel
      • POSTDisconnect a specific device channel
      • POSTDisconnect all device channels
      • POSTTrigger a real-time logging event

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceDevice Channels

Disconnect a specific device channel

POST
https://api.frame.io/v2/devices/channels/:channel_id/disconnect
POST
/v2/devices/channels/:channel_id/disconnect
1import requests
2
3url = "https://api.frame.io/v2/devices/channels/channel_id/disconnect"
4
5headers = {"Authorization": "Bearer <token>"}
6
7response = requests.post(url, headers=headers)
8
9print(response.json())
Disconnect a device channel with the following request
Was this page helpful?
Previous

Disconnect all device channels

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

channel_idstringRequired
Device channel id

Headers

x-client-versionstringOptionalDefaults to 0.0.0

Firmware or software version of a C2C integration. Will be used to determine the correct Device Model configuration for the device when multiple are available. Must be a valid semantic version.

For more on semantic versions, see here: https://semver.org/

Response

OK

Errors

401
Unauthorized Error
404
Not Found Error